# Helpful information

## API versioning

The fulfillmenttools API is considered versionless. That means our API evolves in a backward-compatible way. The following changes are considered backward-compatible:

* Adding new API resources.
* Adding new optional request parameters to existing API methods.
* Adding new properties to existing API responses.
* Changing the order of properties in existing API responses.
* Adding values to enums (see [enum handling](https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#enum-handling)).

All endpoints, fields, and types in our APIs have a lifecycle ranging from Alpha to Beta to General Availability (GA). Additionally, we may deprecate certain functionality in our API.

For more detailed information, see the [API versioning and lifecycle](/documentation/apis/api-versioning-and-lifecycle.md) article.

## Hosting

Our service is hosted on the Google Cloud Platform (GCP). We leverage products from different geographical regions. You can choose from a deployment in one of the following regions.

### Available regions

{% hint style="info" %}
If your region isn't currently available, contact us using [our contact form](https://fulfillmenttools.com/en/contact-us/).
{% endhint %}

<table><thead><tr><th width="260.32421875">Region code</th><th>Location</th></tr></thead><tbody><tr><td>europe-west1</td><td>St. Ghislain, Belgium (default, if no region is preferred)</td></tr><tr><td>europe-west3</td><td>Frankfurt, Germany</td></tr><tr><td>europe-west4</td><td>Netherlands</td></tr><tr><td>europe-north1</td><td>Finland</td></tr><tr><td>us-east1</td><td>South Carolina, United States</td></tr><tr><td>us-east4</td><td>North Virginia, United States</td></tr><tr><td>us-central1</td><td>Iowa, United States</td></tr><tr><td>us-west1</td><td>Oregon, United States</td></tr><tr><td>asia-east1</td><td>Taiwan</td></tr><tr><td>asia-northeast1</td><td>Tokyo, Japan</td></tr><tr><td>asia-southeast1</td><td>Singapore</td></tr></tbody></table>

## Backup policies

As a Software-as-a-Service (SaaS), fulfillmenttools takes care of backups of your data automatically, you don't need to do anything. The following information should give you a first idea of how backups are being taken.

### Regular backups

We impose a policy that takes backups:

* Hourly (every hour of a day, 24/7)
* Daily
* Weekly
* Monthly

By default, all of the above backup cycles are in place. The retention times (how long backups are stored and how long they remain restorable) vary. The backups are saved by default to the GCP zone europe-west1 with the option to duplicate them in another zone if desired.

Downloading the database or any other backups managed by fulfillmenttools isn't currently supported.

### Point-in-time recovery (PITR)

We also provide a point-in-time recovery mechanism that lets you "go back in time" and is even more flexible for restoring backup data to a specific date in the past.

## General Data Protection Regulation (GDPR)

fulfillmenttools is [GDPR](https://gdpr-info.eu/)-compliant.

All customer-related data needed for the fulfillment process (such as names, addresses, and contact details) is anonymized once all evolved entities are in a final operational state. The exact date for anonymization is configurable via API. The field `retentionTime` defines how many days after creation, operationally finished processes are anonymized. The default value is 30 days after the process is operationally finished.

Furthermore, anonymized entities are deleted after a configured period (default `deletionTimeAfterRetention` 180 days).

This deletion functionality only deletes operational data. The anonymized data is still stored for analytics.

Auditing is in place to track changes to entities (for example, pick job, order, and so on). The audit entries contain the date, the affected entity, the operation (for example, canceling an order, closing a pick job), and the username and the user ID of the user who performed the operation. GDPR configuration contains the attribute `actorAnonymization`. If it is missing or set to `true`, the username and user ID are stored in the audit entry in an anonymized form. If set to `false`, the data is written without being anonymized. The default value is `true`.

See the [GDPR configuration article](/documentation/by-pillar/order-management/gdpr-configuration.md) for more information.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/about-fulfillmenttools/helpful-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
